from bgez.core.abstract import Abstract, abstractmethod

__all__ = [
    'Dictable',
]

class Dictable(Abstract):

    @abstractmethod
    def to_dict(self) -> dict:
        '''Returns this keymap as a dictionnary.'''

    @abstractmethod
    def from_dict(self, data: dict) -> None:
        '''Loads keymap data from the given dictionnary.'''
